JsonCpp project page | Classes | Namespace | JsonCpp home page

Classes | Namespaces | Functions
reader.h File Reference
`#include "json_features.h"`
`#include "value.h"`
`#include <deque>`
`#include <iosfwd>`
`#include <istream>`
`#include <stack>`
`#include <string>`
Include dependency graph for reader.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Json::Reader
| Unserialize a JSON document into a Value. More...
struct | Json::Reader::StructuredError
| An error tagged with where in the JSON text it was encountered. More...
class | Json::CharReader
| Interface for reading JSON from a char array. More...
class | Json::CharReader::Factory
class | Json::CharReaderBuilder
| Build a CharReader implementation. More...

## Namespaces
namespace | Json
| JSON (JavaScript Object Notation).

## Functions
bool | Json::parseFromStream (CharReader::Factory const &, IStream &, Value *root, String *errs)
| Consume entire stream and use its begin/end.
IStream & | Json::operator>> (IStream &, Value &)
| Read from 'sin' into 'root'.